body {
    background-color: #f0f0f0;
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
}

.form {
    width: 400px;
    background-color: white;
    margin: 20px auto;
    padding: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

fieldset {
    display: inline-block;
    border-radius: 4px;
}

h3 {
    margin-bottom: 0px;
    padding-bottom: 3px;
}

.textinputs input {
    width: 100%;
    height: 30px;
    border-radius: 4px;
    border-width: 1px;
}

.dropdowninputs select {
    width: 100%;
    height: 30px;
    border-radius: 4px;
    border-width: 1px;
}

.textboxinputs textarea {
    width: 100%;
    border-radius: 4px;
    border-width: 1px;
}

.textinputs input:invalid {
    background-color: rgba(255, 103, 103, 0.5);
}

.textinputs input:valid {
    background-color: white;
}

.dropdowninputs select:focus,
.textinputs input:focus,
.textboxinputs textarea:focus {
    background-color: rgb(230, 230, 230);
}

fieldset:focus-visible {
    background-color: rgb(230, 230, 230);
}

button {
    background-color: blue;
    color: white;
    border-color: darkturquoise;
    border-radius: 5px;
    border-width: 1px;
    height: 30px;
    margin: 0px;
    margin-top: 10px;
    padding: 5px 10px 5px 10px
}

button:hover {
    color: yellow;
    border-color: red;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.5);
}

input[type="radio"]:checked,
input[type="checkbox"]:checked {
    box-shadow: 0px 0px .2em .2em #C8E6C9;
}

input[type="radio"]:checked+label,
input[type="checkbox"]:checked+label {
    background-color: white;
    color: red;
}

option:checked {
    background-color: white;
    color: black;
}